<?php



class TbluserpresentationMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TbluserpresentationMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TbluserpresentationPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TbluserpresentationPeer::TABLE_NAME);
		$tMap->setPhpName('Tbluserpresentation');
		$tMap->setClassname('Tbluserpresentation');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('USPRE_USER', 'UspreUser', 'INTEGER', true, null);

		$tMap->addForeignPrimaryKey('USPRE_PRESENTATION', 'UsprePresentation', 'INTEGER' , 'tblpresentation', 'PR_ID', true, null);

		$tMap->addColumn('USPRE_DATE', 'UspreDate', 'TIMESTAMP', false, null);

	} 
} 